<?php

namespace HCM\FPA\ObrigacaoLegal\Demonstrativo_Eletronico\santander\registro;

use HCM\FPA\ObrigacaoLegal\Demonstrativo_Eletronico\RegistroHolerite;
use HCM\Util\DateUtil;

class Registro9HoleriteSantander extends RegistroHolerite{

    const REGISTRO_9 = '9';

    private $_estrutura;
    private $_codConvenioBanco;
    private $_dadosEstrutura;

    public function geraRegistro9(){
        $this->_geraRegistro();
    }

    private function _geraRegistro(){
        // Bloco 01 | 0001-0001 | Tipo de registro = 1.
        $this->atribuiDado(self::REGISTRO_9, 1);

        // Bloco 02 | 0002-0021 | Número do convênio de empresa com o banco.
        $this->atribuiDado($this->_codConvenioBanco, 20, self::CARACTER_ZERO, self::PREENCHE_ESQUERDA);

        // Bloco 03 | 0022-0035 | CNPJ.
        $this->atribuiDado($this->_estrutura->historico->getCdcnpjestrut(), 14, self::CARACTER_ZERO, self::PREENCHE_ESQUERDA);

        // Bloco 04 | 0036-0050 | Total Valor a Débito.
        $this->atribuiDado($this->_dadosEstrutura[self::REF_TOTAL_DEBITO], 15, self::CARACTER_ZERO, self::PREENCHE_ESQUERDA);

        // Bloco 05 | 0051-0065 | Total Valor a Crédito.
        $this->atribuiDado($this->_dadosEstrutura[self::REF_TOTAL_CREDITO], 15, self::CARACTER_ZERO, self::PREENCHE_ESQUERDA);

        // Bloco 06 | 0066-0080 | Total Valor Líquido.
        $this->atribuiDado($this->_dadosEstrutura[self::REF_TOTAL_LIQUIDO], 15, self::CARACTER_ZERO, self::PREENCHE_ESQUERDA);

        // Bloco 07 | 0081-0090 | Quantidade de Registros Arquivo.
        $this->atribuiDado(0, 10, self::CARACTER_ZERO, self::PREENCHE_ESQUERDA);

        // Bloco 08 | 0091-0400 | Livre (Preencher com espaços).
        $this->atribuiDado(self::CARACTER_BRANCO, 310, self::CARACTER_BRANCO, self::PREENCHE_DIREITA);
    }

    public function setEstrutura($estrutura)
    {
        $this->_estrutura = $estrutura;
    }

    public function setCodConvenioBanco($codConvenioBanco)
    {
        $this->_codConvenioBanco = $codConvenioBanco;
    }

    public function setDadosEstrutura($dados)
    {
        $this->_dadosEstrutura = $dados;
    }
}