<?php
namespace HCM\Util\ModeloImportacao\References;

use \HCM\Util\ModeloImportacao\References\Reference;
use \HCM\Util\ModeloImportacao\References\ValorCampo;

class FixedField implements Reference
{

	const FIXED_FIELD = "/\#\!\w+\#/";

	public function getRegularExpression() 
	{
		return self::FIXED_FIELD;
	}

	public function getValorReferencia($nomeTabela, $nomeColuna, $metaDado, $valorFixo, 
									   $entityContainer, $linhaDados = null, $fixedFields = null)
	{
		preg_match(self::FIXED_FIELD, $metaDado, $result);
        if (!isset($result[0])) {
            return $metaDado;
        }
        $pattern = $result[0];
		$key     = str_replace(array("#", "!"), "", $pattern);
		$value   = isset($fixedFields[$key]) ? $fixedFields[$key] : null;
		return str_replace($pattern, $value, $metaDado);
	}
}