/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SUBSTIPOCONS                                             */
/* Tabela : SUBSTIPOCONS                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 14/05/2004 - RENATA DINIZ                                                  */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_SUBSTIPOCONS
BEFORE INSERT OR UPDATE OR DELETE
ON SUBSTIPOCONS FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUSBTC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPOCONS  ,0) <> NVL(:NEW.CDTIPOCONS  ,0)) OR
         (NVL(:OLD.CDSERVFILI  ,0) <> NVL(:NEW.CDSERVFILI  ,0)) OR
         (NVL(:OLD.VRPESUBTCONS,0) <> NVL(:NEW.VRPESUBTCONS,0)) OR
         (NVL(:OLD.VRTETSUBTCON,0) <> NVL(:NEW.VRTETSUBTCON,0)) THEN
         :NEW.DTULTATUSBTC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('SUBSTIPOCONS', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDTIPOCONS='||:OLD.CDTIPOCONS||';CDSERVFILI='||:OLD.CDSERVFILI||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE SUBSTIPOCONS MODIFY DTULTATUSBTC DEFAULT SYSDATE
/

