/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_MEDICAMENTO                                                    */
/* Tabela : MEDICAMENTO                                                           	*/
/*                                                                            */
/* Criao:                                                                   */
/* 14/12/2004 - Rafael dos Santos Lopes                           			   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_MEDICAMENTO
BEFORE INSERT OR UPDATE OR DELETE
ON MEDICAMENTO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUMDTO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMMEDICAMENT,0) <> NVL(:NEW.NMMEDICAMENT,0)) OR
         (NVL(:OLD.DSMEDICAMENT,0) <> NVL(:NEW.DSMEDICAMENT,0)) THEN
         :NEW.DTULTATUMDTO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('MEDICAMENTO', '', 'CDMEDICAMENT='||:OLD.CDMEDICAMENT||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE MEDICAMENTO MODIFY DTULTATUMDTO DEFAULT SYSDATE
/

